<ion-header [translucent]="true">
  <ion-toolbar color="success">
    <ion-title class="titulo">
      i9Garden
    </ion-title>

    <ion-buttons slot="end" *ngIf="exibirErroConexao">
      <ion-button (click)="conectar()"> <ion-icon name="reload-outline"></ion-icon> </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <div class="container">
    <ion-list>
      <ion-item [disabled]="!conectado || esperandoResposta">
        <ion-label>Irrigação Automática</ion-label>
        <ion-toggle slot="start" color="success" 
          
          (ionChange)="irrigarManualmente($event)" 
          [(ngModel)]="irrigar"
          [checked]="irrigar"></ion-toggle>
      </ion-item>
    </ion-list>

    <ion-list>
      <ion-list-header lines="inset">
        <ion-label>Horarios de Irrigação</ion-label>
      </ion-list-header>

      <ion-item lines="none" *ngFor="let tarefa of agenda; let i = index;">

        <div style="display: flex; flex-direction: row; width: 100%;">          
          <div style="flex: 4; text-align: center;">
            <ion-icon name="timer-outline" style="font-size: 18px;"></ion-icon>
            <label style="font-size: 20px; margin-left: 5px;">{{tarefa.hora}}</label>
          </div>

          <div style="flex: 4; text-align: center;">
            <ion-icon name="water-outline" style="font-size: 18px;"></ion-icon>
            <label style="font-size: 20px;margin-left: 5px;">{{tarefa.tempo}}</label>
          </div>

          <div style="flex: 2;" (click)="remover(i)">
            <ion-icon  style="color: rgb(138, 138, 138); font-size: 18px;" name="trash-outline"></ion-icon>
          </div>
        </div>

      </ion-item>
    </ion-list>
  </div>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button (click)="adicionarHorario($event)" [disabled]="!conectado || esperandoResposta">
      <ion-icon name="add" ></ion-icon>
    </ion-fab-button>
  </ion-fab>
  
  <div class="app-container" style="color: gray;" *ngIf="exibirErroConexao">
      <p> Falha ao conectar no dispositivo :( </p>
      <p> Favor conectar o WiFi na rede i9Garden </p>
  </div>
</ion-content>